> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# IPOs

> Returns Initial Public Offering (IPO) data including pricing information, underwriters, deal status, and offering details

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "ipos": [
      {
        "currency": "USD",
        "date": "2026",
        "deal_status": "Withdrawn",
        "description": "",
        "exchange": "NASDAQ",
        "id": "604b6d8a36622a000186b793",
        "initial_filing_date": "",
        "insider_lockup_date": "",
        "insider_lockup_days": 180,
        "ipo_type": "SPAC Unit",
        "last_yr_income": 0,
        "last_yr_income_year": 0,
        "last_yr_revenue": 0,
        "last_yr_revenue_year": 0,
        "lead_underwriters": [
          "Citigroup",
          "JP Morgan"
        ],
        "market_cap_at_offer": 0,
        "name": "SEP Growth Holdings Corp",
        "notes": "",
        "offering_shares": 25000000,
        "offering_shares_ord_adr": 0,
        "offering_value": 0,
        "open_date_verified": false,
        "ord_shares_out_after_offer": 0,
        "other_underwriters": [],
        "price_max": "",
        "price_min": "",
        "price_open": "",
        "price_public_offering": "10.000",
        "pricing_date": "",
        "pricing_date_verified": false,
        "sec_accession_number": "",
        "sec_filing_url": "",
        "shares_outstanding": 0,
        "sic": 0,
        "spac_converted_to_target": false,
        "state_location": "",
        "ticker": "SEPGU",
        "time": "08:32:58",
        "underwriter_quiet_expiration_date": "",
        "underwriter_quiet_expiration_days": 0,
        "updated": 1767600431
      }
    ]
  }
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Invalid or missing authentication token"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No data found for the specified parameters"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "An unexpected error occurred while processing your request"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml /openapi/calendar_api.spec.yml GET /api/v2.1/calendar/ipos
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API returns structured data for conference calls, dividends,
    earnings (and future earnings dates), economics, pharmaceutical
    announcements, guidance, IPOs, secondary offerings, ratings, M&A activity,
    and splits.
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/calendar/ipos:
    get:
      tags:
        - ipos
      summary: IPOs V2.1
      description: >-
        Returns Initial Public Offering (IPO) data including pricing
        information, underwriters, deal status, and offering details
      operationId: get-ipos-v21
      parameters:
        - description: Page number
          in: query
          name: page
          schema:
            type: integer
        - description: Page size
          in: query
          name: pagesize
          schema:
            type: integer
        - description: Date of IPO in YYYY-MM-DD format (new preferred parameter)
          in: query
          name: ipo_date
          schema:
            type: string
            format: date
        - description: Date of IPO in YYYY-MM-DD format (deprecated)
          in: query
          name: parameters[ipo_date]
          schema:
            type: string
            format: date
        - description: Start date in YYYY-MM-DD format
          in: query
          name: parameters[date_from]
          schema:
            type: string
            format: date
        - description: End date in YYYY-MM-DD format
          in: query
          name: parameters[date_to]
          schema:
            type: string
            format: date
        - description: Tickers
          in: query
          name: parameters[tickers]
          schema:
            type: string
        - description: IPO type
          in: query
          name: parameters[ipo_type]
          schema:
            type: string
        - description: Updated time in Unix format
          in: query
          name: parameters[updated]
          schema:
            type: string
            format: int64
      responses:
        '200':
          description: IPOs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.IPOResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.IPOResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.IPOResponse:
      description: API response containing an array of IPO records
      properties:
        ipos:
          items:
            $ref: '#/components/schemas/calendarapi.IPO'
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.IPO:
      properties:
        currency:
          example: USD
          type: string
        cusip:
          example: 38744101
          type: string
        date:
          example: '2024-01-09'
          type: string
        deal_status:
          example: Priced
          type: string
        description:
          example: Online marketplace for lodging and tourism experiences
          type: string
        exchange:
          example: NASDAQ
          type: string
        id:
          example: 60a7f5e8e4b0f5a3c8e9f5a9
          type: string
        initial_filing_date:
          example: '2023-11-15'
          type: string
        insider_lockup_date:
          example: '2024-07-07'
          type: string
        insider_lockup_days:
          example: 180
          type: integer
        ipo_type:
          example: IPO
          type: string
        last_yr_income:
          example: -674000000
          type: integer
        last_yr_income_year:
          example: 2023
          type: integer
        last_yr_revenue:
          example: 4805000000
          type: integer
        last_yr_revenue_year:
          example: 2023
          type: integer
        lead_underwriters:
          example:
            - '[{"name":"Morgan Stanley"}]'
          items:
            type: string
          type: array
        market_cap_at_offer:
          example: 47000000000
          type: integer
        name:
          example: Airbnb Inc.
          type: string
        notes:
          example: Strong first day trading
          type: string
        offering_shares:
          example: 51500000
          type: integer
        offering_shares_ord_adr:
          example: 51500000
          type: integer
        offering_value:
          example: 3500000000
          type: integer
        open_date_verified:
          example: true
          type: boolean
        ord_shares_out_after_offer:
          example: 615000000
          type: integer
        other_underwriters:
          example:
            - '[{"name":"Goldman Sachs"}]'
          items:
            type: string
          type: array
        price_max:
          example: '50.00'
          type: string
        price_min:
          example: '44.00'
          type: string
        price_open:
          example: '146.00'
          type: string
        price_public_offering:
          example: '68.00'
          type: string
        pricing_date:
          example: '2024-01-08'
          type: string
        pricing_date_verified:
          example: true
          type: boolean
        sec_accession_number:
          example: 0001559720-20-000079
          type: string
        sec_filing_url:
          example: https://www.sec.gov/cgi-bin/browse-edgar
          type: string
        shares_outstanding:
          example: 615000000
          type: integer
        sic:
          example: 7389
          type: integer
        spac_converted_to_target:
          example: false
          type: boolean
        state_location:
          example: Delaware
          type: string
        ticker:
          example: ABNB
          type: string
        time:
          example: '09:30:00'
          type: string
        underwriter_quiet_expiration_date:
          example: '2024-02-03'
          type: string
        underwriter_quiet_expiration_days:
          example: 25
          type: integer
        updated:
          example: 1704819600
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````